List Jobs
curl --request GET \
--url https://control-plane.kubiya.ai/api/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://control-plane.kubiya.ai/api/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://control-plane.kubiya.ai/api/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://control-plane.kubiya.ai/api/v1/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://control-plane.kubiya.ai/api/v1/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://control-plane.kubiya.ai/api/v1/jobs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://control-plane.kubiya.ai/api/v1/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": true,
"status": "<string>",
"trigger_type": "<string>",
"cron_schedule": "<string>",
"cron_timezone": "<string>",
"temporal_schedule_id": "<string>",
"planning_mode": "<string>",
"entity_type": "<string>",
"entity_id": "<string>",
"entity_name": "<string>",
"prompt_template": "<string>",
"system_prompt": "<string>",
"executor_type": "<string>",
"worker_queue_name": "<string>",
"environment_name": "<string>",
"config": {},
"execution_environment": {
"env_vars": {},
"secrets": [
"<string>"
],
"integration_ids": [
"<string>"
],
"mcp_servers": {}
},
"last_execution_id": "<string>",
"last_execution_at": "2023-11-07T05:31:56Z",
"next_execution_at": "2023-11-07T05:31:56Z",
"total_executions": 123,
"successful_executions": 123,
"failed_executions": 123,
"execution_history": [
{}
],
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_triggered_at": "2023-11-07T05:31:56Z",
"webhook_url": "<string>",
"webhook_secret": "<string>",
"created_by_email": "<string>",
"updated_by_email": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
List Jobs
List all jobs for the organization.
Query Parameters:
- enabled: Filter by enabled status (true/false)
- trigger_type: Filter by trigger type (“cron”, “webhook”, “manual”)
GET
/
api
/
v1
/
jobs
List Jobs
curl --request GET \
--url https://control-plane.kubiya.ai/api/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://control-plane.kubiya.ai/api/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://control-plane.kubiya.ai/api/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://control-plane.kubiya.ai/api/v1/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://control-plane.kubiya.ai/api/v1/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://control-plane.kubiya.ai/api/v1/jobs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://control-plane.kubiya.ai/api/v1/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": true,
"status": "<string>",
"trigger_type": "<string>",
"cron_schedule": "<string>",
"cron_timezone": "<string>",
"temporal_schedule_id": "<string>",
"planning_mode": "<string>",
"entity_type": "<string>",
"entity_id": "<string>",
"entity_name": "<string>",
"prompt_template": "<string>",
"system_prompt": "<string>",
"executor_type": "<string>",
"worker_queue_name": "<string>",
"environment_name": "<string>",
"config": {},
"execution_environment": {
"env_vars": {},
"secrets": [
"<string>"
],
"integration_ids": [
"<string>"
],
"mcp_servers": {}
},
"last_execution_id": "<string>",
"last_execution_at": "2023-11-07T05:31:56Z",
"next_execution_at": "2023-11-07T05:31:56Z",
"total_executions": 123,
"successful_executions": 123,
"failed_executions": 123,
"execution_history": [
{}
],
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_triggered_at": "2023-11-07T05:31:56Z",
"webhook_url": "<string>",
"webhook_secret": "<string>",
"created_by_email": "<string>",
"updated_by_email": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Enter your Kubiya API token (format: Bearer )
Response
Successful Response
Execution environment configuration for jobs
Show child attributes
Show child attributes
Full webhook URL (generated from webhook_url_path)
Webhook HMAC secret for signature verification
Email of the user who created the job (enriched)
Email of the user who last updated the job (enriched)
Was this page helpful?